DROP DATABASE IF EXISTS a;
DROP DATABASE IF EXISTS b;
DROP DATABASE IF EXISTS c;
DROP DATABASE IF EXISTS A;

CREATE DATABASE a;
CREATE DATABASE b;
CREATE TABLE a.t1 (id int);
INSERT INTO a.t1 VALUES (1);
CREATE TABLE b.t2 (id int);
INSERT INTO b.t2 VALUES (10);

-- RENAME NOT EXISTS DB TO EXISTS DB
ALTER DATABASE c RENAME TO a; -- {ErrorCode 1003}
ALTER DATABASE IF EXISTS c RENAME TO a;
SELECT * FROM system.databases;

-- RENAME NOT EXISTS DB TO NOT EXISTS DB
ALTER DATABASE IF EXISTS c RENAME TO C;
ALTER DATABASE c RENAME TO C; -- {ErrorCode 1003}
SELECT * FROM system.databases;

-- RENAME IMMUTABLE DB
ALTER DATABASE IF EXISTS system RENAME TO C; -- {ErrorCode 1002}
ALTER DATABASE system RENAME TO C; -- {ErrorCode 1002}
SELECT * FROM system.databases;

-- RENAME EXISTS DB TO EXISTS DB
ALTER DATABASE a RENAME TO b; -- {ErrorCode 2301}
ALTER DATABASE IF EXISTS a RENAME TO b; -- {ErrorCode 2301}
SELECT * FROM system.databases;

-- RENAME EXISTS DB TO NOT EXISTS DB
ALTER DATABASE a RENAME TO A;
SELECT * FROM system.databases;
SELECT * FROM A.t1;

-- RENAME EXISTS DB TO IMMUTABLE DB
ALTER DATABASE b RENAME TO system; -- {ErrorCode 1002}
ALTER DATABASE IF EXISTS b RENAME TO system; -- {ErrorCode 1002}
SELECT * FROM b.t2;
SELECT * FROM system.databases;
DROP DATABASE b;
DROP DATABASE A;
